//
// @package: YaPB
// @version: 4.2
// @author: YaPB Project
// @filename: yapb.cfg
// 
// YaPB main configuration file. Can be executed via "exec" command.
//

//
// Enables or disables useful messages about bot states. Not required for end users.
// ---
// Default: "0", Min: "0", Max: "4"
// 
yb_debug "0"

//
// Forces all alive bots to build path and go to the specified here graph node.
// ---
// Default: "-1", Min: "-1", Max: "2048"
// 
yb_debug_goal "-1"

//
// Specifies the percent of bots, that can follow leader on each round start.
// ---
// Default: "20", Min: "0", Max: "100"
// 
yb_user_follow_percent "20"

//
// Specifies how many bots can follow a single user.
// ---
// Default: "1", Min: "0", Max: "8"
// 
yb_user_max_followers "3"

//
// If enabled, all bots will be forced only the knife, skipping weapon buying routines.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_jasonmode "0"

//
// Allows bots to use radio or chattter.
//  Allowed values: '0', '1', '2'.
//  If '0', radio and chatter is disabled.
//  If '1', only radio allowed.
//  If '2' chatter and radio allowed.
// ---
// Default: "2", Min: "0", Max: "2"
// 
yb_radio_mode "2"

//
// Specifies whether bots able to use team economics, like do not buy any weapons for whole team to keep money for better guns.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_economics_rounds "1"

//
// Specifies whether bots able to use 'shift' if they thinks that enemy is near.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_walking_allowed "1"

//
// Allows or disallows bots to camp. Doesn't affects bomb/hostage defending tasks.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_camping_allowed "1"

//
// Lower bound of time from which time for camping is calculated
// ---
// Default: "15.0", Min: "5.0", Max: "90.0"
// 
yb_camping_time_min "15.0"

//
// Upper bound of time until which time for camping is calculated
// ---
// Default: "45.0", Min: "15.0", Max: "120.0"
// 
yb_camping_time_max "45.0"

//
// Allows or disallows bots to take revenge of teamkillers / team attacks.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_tkpunish "1"

//
// If enabled, the bots think function is disabled, so bots will not move anywhere from their spawn spots.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_freeze_bots "0"

//
// Allows or disallows the use of spray paints.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_spraypaints "1"

//
// Allows or disallows bots weapon buying routines.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_botbuy "1"

//
// Allows bots to destroy breakables around him, even without touching with them.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_destroy_breakables_around "1"

//
// The radius on which bot searches world for new objects, items, and weapons.
// ---
// Default: "450.0", Min: "64.0", Max: "1024.0"
// 
yb_object_pickup_radius "450.0"

//
// Specifies the paths for the bot chatter sound files.
// ---
// Default: "sound/radio/bot"
// 
yb_chatter_path "sound/radio/bot"

//
// Specifies semicolon separated list of weapons that are not allowed to buy / pickup.
// ---
// Default: ""
// 
yb_restricted_weapons ""

//
// Allows or disallows bots to attack monsters.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_attack_monsters "0"

//
// Allows or disallows bots to pickup custom items.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_pickup_custom_items "0"

//
// Allows or disallows bots to do map objectives, i.e. plant/defuse bombs, and saves hostages.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_ignore_objectives "0"

//
// Allows or disallows the ability for random knife attacks when bot is rushing and no enemy is nearby.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_random_knife_attacks "1"

//
// Enables or disables bots chat functionality.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_chat "0"

//
// Bot chances to send random dead chat when killed.
// ---
// Default: "30", Min: "0", Max: "100"
// 
yb_chat_percent "30"

//
// Specifies whether bots able to fire at enemies behind the wall, if they hearing or suspecting them.
// ---
// Default: "2", Min: "0", Max: "2"
// 
yb_shoots_thru_walls "2"

//
// Enables or disables searching world for enemies.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_ignore_enemies "0"

//
// Enables or disables checking enemy rendering flags. Useful for some mods.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_check_enemy_rendering "0"

//
// Enables or disables checking enemy invincibility. Useful for some mods.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_check_enemy_invincibility "0"

//
// Enables or disables bot ability to stab the enemy with knife if bot is in good condition.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_stab_close_enemies "1"

//
// Binds specified key for opening bots menu.
// ---
// Default: "="
// 
yb_bind_menu_key "="

//
// Specifies comma separated list of bot cvars, that will not be overriten by config on changelevel.
// ---
// Default: "yb_quota,yb_autovacate"
// 
yb_ignore_cvars_on_changelevel "yb_quota,yb_autovacate"

//
// Enables or disables display menu text, when players asks for menu. Useful only for Android.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_display_menu_text "1"

//
// The value (password) for the setinfo key, if user sets correct password, he's gains access to bot commands and menus.
// ---
// Default: ""
// 
yb_password ""

//
// The name of setinfo key used to store password to bot commands and menus.
// ---
// Default: "_ybpw"
// 
yb_password_key "_ybpw"

//
// Enables or disables CSDM / FFA mode for bots.
//  Allowed values: '0', '1', '2', '3'.
//  If '0', CSDM / FFA mode is auto-detected.
//  If '1', CSDM mode is enabled, but FFA is disabled.
//  If '2', CSDM and FFA mode is enabled.
//  If '3', CSDM and FFA mode is disabled.
// ---
// Default: "0", Min: "0", Max: "3"
// 
yb_csdm_mode "0"

//
// Specifies whether bot should not 'fix' camp directions of camp waypoints when loading old PWF format.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_graph_fixcamp "1"

//
// Specifies the URL from bots will be able to download graph in case of missing local one. Set to empty, if no downloads needed.
// ---
// Default: "yapb.jeefo.net"
// 
yb_graph_url "https://download.mortall.ro/files/cstrike/addons/yapb/data/graph/"

//
// Kick bots to automatically make room for human players.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_autovacate "1"

//
// Specifies the number bots to be added to the game.
// ---
// Default: "9", Min: "0", Max: "32"
// 
yb_quota "12"

//
// Specifies the type of quota.
//  Allowed values: 'normal', 'fill', and 'match'.
//  If 'fill', the server will adjust bots to keep N players in the game, where N is yb_quota.
//  If 'match', the server will maintain a 1:N ratio of humans to bots, where N is yb_quota_match.
// ---
// Default: "normal"
// 
yb_quota_mode "normal"

//
// Number of players to match if yb_quota_mode set to 'match'
// ---
// Default: "0", Min: "0", Max: "32"
// 
yb_quota_match "0"

//
// Specifies how many times per second bot code will run.
// ---
// Default: "26.0", Min: "24.0", Max: "90.0"
// 
yb_think_fps "26.0"

//
// Specifies amount of time in seconds when bots will be killed if no humans left alive.
// ---
// Default: "0.0", Min: "0.0", Max: "90.0"
// 
yb_autokill_delay "0.0"

//
// Specifies whether bots should join server, only when at least one human player in game.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_join_after_player "0"

//
// Forces all bots to join team specified here.
// ---
// Default: "any"
// 
yb_join_team "any"

//
// Specifies after how many seconds bots should start to join the game after the changelevel.
// ---
// Default: "5.0", Min: "0.0", Max: "30.0"
// 
yb_join_delay "5.0"

//
// All the bot names will be prefixed with string specified with this cvar.
// ---
// Default: ""
// 
yb_name_prefix ""

//
// All bots difficulty level. Changing at runtime will affect already created bots.
// ---
// Default: "4", Min: "0", Max: "4"
// 
yb_difficulty "2"

//
// Lower bound of random difficulty on bot creation. Only affects newly created bots. -1 means yb_difficulty only used.
// ---
// Default: "-1", Min: "-1", Max: "4"
// 
yb_difficulty_min "-1"

//
// Upper bound of random difficulty on bot creation. Only affects newly created bots. -1 means yb_difficulty only used.
// ---
// Default: "-1", Min: "-1", Max: "4"
// 
yb_difficulty_max "-1"

//
// Enables each bot balances own difficulty based kd-ratio of team.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_difficulty_auto "0"

//
// Enables or disables displaying bot avatars in front of their names in scoreboard. Note, that is currently you can see only avatars of your steam friends.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_show_avatars "1"

//
// Enables latency display in scoreboard.
//  Allowed values: '0', '1', '2'.
//  If '0', there is nothing displayed.
//  If '1', there is a 'BOT' is displayed.
//  If '2' fake ping is displayed.
// ---
// Default: "2", Min: "0", Max: "2"
// 
yb_show_latency "2"

//
// Allows to save bot names upon changelevel, so bot names will be the same after a map change
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_save_bots_names "1"

//
// Specifies the bots wanted skin for Terrorist team.
// ---
// Default: "0", Min: "0", Max: "5"
// 
yb_botskin_t "0"

//
// Specifies the bots wanted skin for CT team.
// ---
// Default: "0", Min: "0", Max: "5"
// 
yb_botskin_ct "0"

//
// Lower bound for base bot ping shown in scoreboard upon creation.
// ---
// Default: "7", Min: "0", Max: "100"
// 
yb_ping_base_min "7"

//
// Upper bound for base bot ping shown in scoreboard upon creation.
// ---
// Default: "34", Min: "0", Max: "100"
// 
yb_ping_base_max "34"

//
// Specifies the language for bot messages and menus.
// ---
// Default: "en"
// 
yb_language "en"

//
// Enables or disables extra hard difficulty for bots.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_whose_your_daddy "0"

//
// Selects the heuristic function mode. For debug purposes only.
// ---
// Default: "4", Min: "0", Max: "4"
// 
yb_path_heuristic_mode "4"

//
// Lower bound of danger factor that used to add additional danger to path based on practice.
// ---
// Default: "200", Min: "100", Max: "2400"
// 
yb_path_danger_factor_min "200"

//
// Upper bound of danger factor that used to add additional danger to path based on practice.
// ---
// Default: "400", Min: "200", Max: "4800"
// 
yb_path_danger_factor_max "400"

//
// Enables or disables showing welcome message to host entity on game start.
// ---
// Default: "1", Min: "0", Max: "1"
// 
yb_display_welcome_text "1"

//
// Enables or disables fake server queries response, that shows bots as real players in server browser.
// ---
// Default: "0", Min: "0", Max: "1"
// 
yb_enable_query_hook "1"

